cybre.space has reached the end-of-life and is now read-only. Please see the EOL announcement for details
Follow

Dev, call to sysadmin / #Debian experts for help... 

In the context of , we provide an ISO (based on the Debian CD/ISO build thing). It worked pretty well ... until recently where we now have a weird issue coming from packages 'debhelper' and 'dh-autoreconf' (these are dependencies of equivs, which is a dependency of yunohost).

(1/2)

· · Web · 1 · 9 · 1

Dev, call to sysadmin / #Debian experts for help... 

For some reason, these packages fail to properly configure ... though there are no actual error messages whatsoever.

In fact, running the install script manually triggered the same issue *but* turns out everything works fine (don't even need to dpkg --configure -a or anything)

But this makes the ISO install crash so user can't finish the install (even though it would work well)

(2/3)

Dev, call to sysadmin / #Debian experts for help... 

Is there anything we could do to work around the issue ? We have pretty much nothing to do with those dependencies and this issue seems unrelated with Yunohost itself, yet we end up being pretty much stuck with it >.> ...

Dev, call to sysadmin / #Debian experts for help... 

@aleks Did you check it's not because policy-rc.d?

Dev, call to sysadmin / #Debian experts for help... 

@aleks Also, try to run it with "strace -f" to see what happens in details

Dev, call to sysadmin / #Debian experts for help... 

@val Uh can you elaborate on policy-rc.d ?

Dev, call to sysadmin / #Debian experts for help... 

@aleks I never heard of it before today, but it appears in your log, and it's apparently used by the debian build system to prevent stuff from running, so it might be it

Dev, call to sysadmin / #Debian experts for help... 

@aleks Though the log mentions preventing a restart, so it's likely to be unrelated...

Dev, call to sysadmin / #Debian experts for help... 

@aleks You are trying to solve github.com/YunoHost/issues/iss without the "Install those damn deps independently" right?
So I just tried running "strace -f apt-get instal <blah blah> yunohost yunohost-admin postfix", and I got this error in the log:

dpkg: dependency problems prevent configuration of dh-autoreconf:
dh-autoreconf depends on debhelper; however:
Package debhelper is not configured yet.

Dev, call to sysadmin / #Debian experts for help... 

@val Indeed 👍

Dev, call to sysadmin / #Debian experts for help... 

@aleks ugh, I can't reproduce it with anything more subtle than "apt-get install yunohost"

Sign in to participate in the conversation
Cybrespace

the mastodon instance at cybre.space is retired

see the end-of-life plan for details: https://cybre.space/~chr/cybre-space-eol